#!/usr/bin/env bash

echo "Analyzing HMM model..."
FILE_PREFIX="hmm" HISTOGRAM_METHOD=":smc" HISTOGRAM_OPTIONS="[:number-of-particles 1000]" HISTOGRAM_NUM_SAMPLES=10000 HISTOGRAM_CHAIN=0 jupyter nbconvert --to notebook --execute analysis.ipynb
echo "Analyzing mixture model..."
FILE_PREFIX="mixture" HISTOGRAM_METHOD=":pgibbs" HISTOGRAM_NUM_SAMPLES=10000 HISTOGRAM_CHAIN=0 jupyter nbconvert --to notebook --execute analysis.ipynb
echo "Analyzing original population model..."
FILE_PREFIX="population2000" HISTOGRAM_METHOD=":smc" HISTOGRAM_OPTIONS="[:number-of-particles 1000]" HISTOGRAM_NUM_SAMPLES=1000 HISTOGRAM_CHAIN=0 jupyter nbconvert --to notebook --execute analysis.ipynb
echo "Analyzing modified population model..."
FILE_PREFIX="population_modified2000" HISTOGRAM_METHOD=":smc" HISTOGRAM_OPTIONS="[:number-of-particles 1000]" HISTOGRAM_NUM_SAMPLES=1000 HISTOGRAM_CHAIN=0 jupyter nbconvert --to notebook --execute analysis.ipynb
echo "Analyzing two populations model..."
FILE_PREFIX="two_populations2000" HISTOGRAM_METHOD=":pgibbs" HISTOGRAM_OPTIONS="[:number-of-particles 1000]" HISTOGRAM_NUM_SAMPLES=10000 HISTOGRAM_CHAIN=0 jupyter nbconvert --to notebook --execute analysis.ipynb
FILE_PREFIX="two_populations2000" HISTOGRAM_METHOD=":pgibbs" HISTOGRAM_OPTIONS="[:number-of-particles 1000]" HISTOGRAM_NUM_SAMPLES=10000 HISTOGRAM_CHAIN=1 jupyter nbconvert --to notebook --execute analysis.ipynb
echo "Analyzing switchpoint model..."
FILE_PREFIX="cont_switchpoint" HISTOGRAM_METHOD=":lmh" HISTOGRAM_NUM_SAMPLES=10000 HISTOGRAM_CHAIN=0 jupyter nbconvert --to notebook --execute analysis.ipynb
